#######################################################################################
#  Custom Ship Plugin                                                                 #
#  Created by BC - Mod Packager                                                       #
#  Date: 1/19/2006                                                                    #
#  Modified by WileyCoyote on 4/4/2009                                                #
#######################################################################################
#                                                                                     #
import Foundation
import App
#                                                                                     #
#######################################################################################
#                                                                                     #
abbrev = 'WCJJEnterprise'
iconName = 'WCJJEnterprise'
longName = 'JJ USS Enterprise'
shipFile = 'WCJJEnterprise' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
species = App.SPECIES_AMBASSADOR
SubMenu = "JJ Enterprise Class"
#                                                                                     #
#######################################################################################
#                                                                                     #
# Mod Info.  Use this as an opportunity to describe your work in brief.  This may     #
# have use later on for updates and such.                                             #
#                                                                                     #
credits = {
	'modName': 'USS Enterprise - Star Trek 2009',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ '' ],
	'comments': ''
}
#                                                                                     #
#######################################################################################
#                                                                                     #
# This is the ShipDef that adds the Ship to the game... BC-Mod Packager has           #
# automatically generated the proper ShipDef Line for you.                            #
#                                                                                     #
Foundation.ShipDef.WCJJEnterprise = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })
#                                                                                     #
#######################################################################################
#                                                                                     #
# Uncomment these if you have TGL  
# Foundation.ShipDef.WCJJEnterprise.hasTGLName = 1
# Foundation.ShipDef.WCJJEnterprise.hasTGLDesc = 1

# Otherwise, uncomment this and type something in:
Foundation.ShipDef.WCJJEnterprise.desc = 'This 23rd century ship is featured in the film Star Trek 2009. The USS Enterprise is under the command of Captain Christopher Pike.'
#                                                                                     #
#######################################################################################
#                                                                                     #
# These register the ship with the QuickBattle menus.  Don't touch them!!!            #
#                                                                                     #
if menuGroup:           Foundation.ShipDef.WCJJEnterprise.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCJJEnterprise.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
#                                                                                     #
#######################################################################################
